Support
Tickets List
Retrieve a list of tickets.
Authorization
oauth2 tickets:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: tickets:read
Query Parameters
filter_text?string
Generic search by ticket id, subject, or requester email.
id?integer
subject?string
Subject
status?array<>
new- Newopen- Openpending- Pendingsolved- Solvedclosed- Closed
requester?integer
Requester
assignee?integer
Assignee
order_number?string
Order Number
product?array<integer>
ticket_type?integer
priority?string
high- Highmedium- Mediumlow- Low
Value in
- "high"
- "low"
- "medium"
channel?string
customer_account- Customer accountdashboard- Dashboardemail- Emailapi- APIfollow_up- Follow up
Value in
- "api"
- "customer_account"
- "dashboard"
- "email"
- "follow_up"
created_from?string
Created From
Format
datecreated_to?string
Created To
Format
datecursor?string
The pagination cursor value.
Header Parameters
X-29next-API-Version*"2023-02-10"
Default
"2023-02-10"Value in
- "2023-02-10"
Response Body
application/json
curl -X GET "https://example.com/tickets/" \ -H "X-29next-API-Version: 2023-02-10"{ "next": "http://example.com", "previous": "http://example.com", "results": [ { "assignee": 0, "channel": "customer_account", "comments": [ { "attachments": [ { "file": "http://example.com", "file_name": "string", "id": 0 } ], "author": 0, "body": "string", "created_at": "2019-08-24T14:15:22Z", "from_email": "user@example.com", "id": 0, "is_public": true } ], "created_at": "2019-08-24T14:15:22Z", "from_email": "user@example.com", "id": 0, "order": "string", "priority": "high", "products": [ 0 ], "requester": 0, "status": "new", "subject": "string", "tags": [ "string" ], "ticket_type": 0, "updated_at": "2019-08-24T14:15:22Z" } ]}